Subject: bug#77725: 31.0.50; Add support for types accepted by `cl-typep' to cl-generic?

From: David Ponce <[email-masked]>
Date: Thu, 15 May 2025 07:02:23 +0200

On 2025-05-14 18:28, Stefan Monnier wrote:
>> So, to create the predefined derived types, it seems that cl-macs
>> needs to be explicitly loaded. I wonder if this is the expected
>> behavior?
> 
> Agreed.  But this is the way it's been defined since times immemorial,
> so I'm not sure we want to change it.  I'm not saying we don't, because
> the new features mean that the circumstances have changed, but I think
> I'd rather see first how things play out.

That's fine with me.  I asked because it seemed to me that it wasn't
recommended to load cl-macs but rather cl-lib.

> Some of those types are virtually never used, so maybe we'll want to
> move some but not all?

To be honest, I don't know if/when these types are used.

Thanks
David